New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Conversion

Get conversion progress

GET
/api/v1/conversion/progress

Response Body

Successful Response

application/json
  1. response
status*Status

Generation status (idle, generating, streaming, complete, error, cancelled)

message*Message

Human-readable progress message

percent*Percent

Generation progress percentage (0-100)

Example Request
curl -X GET 'http://127.0.0.1:8100/api/v1/conversion/progress'
Example Response200
{  "status": "generating",  "message": "Generating audio...",  "percent": 45}